Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009271Dwarf FortressDwarf Mode -- Buildings, Cages and Chainspublic2015-12-07 19:282016-01-18 15:49
ReporterBenLubar 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformx86_64OSWindowsOS Version10
Product Version0.42.02 
Target VersionFixed in Version0.42.06 
Summary0009271: troglodytes [intelligent/untamable animals?] cannot be assigned to a cage or chain
DescriptionI caught some troglodytes in a cage trap. I wanted to make a zoo out of them (because seriously, what else can you do with a species of hobos?) but I can't see them in any of the animal-related lists.

The wiki says things about chains being useful when used on ogres, so I think this is a regression.
Steps To ReproduceThis save has the camera on a troglodyte cage (built after catching the troglodyte) and an unused lead chain restraint, as well as several caged troglodytes.

http://dffd.bay12games.com/file.php?id=11417 [^]
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009296resolvedDwarfu Troglodites cannot be [P]itted via cage 
has duplicate 0009333resolvedToady One Cannot pit intelligent creature (nor assign them to a cage) 
has duplicate 0009465resolvedToady One Sentient invaders and intruders cannot be assigned to a cage/chain/pit 

-  Notes
(0033680)
Manzeenan (reporter)
2015-12-09 11:15

No method to remove creature either
(0033682)
maqertas (reporter)
2015-12-09 12:46

This is also the case with pits, as the creatures which you want to assign do not show up in the list.
(0033862)
Atmaz (reporter)
2015-12-13 19:33

Can confirm this issue, still present in 42.03 while using a save from 42.01.

Not only Troglodytes, but Blind Cave Ogres, Goblins from sieges, Minotaurs, Trolls, gorlaks - seemingly any intelligent creature. None can be assigned to a pit, pasture, or chain when captured in a cage trap and stored in a stockpile.
(0033903)
ShawnMark (reporter)
2015-12-14 20:01

Currently on 42.03 the only method of removing intelligent creatures from a cage that has worked for me so far is to place the cage and attach a lever.
(0033943)
Talvieno (reporter)
2015-12-15 13:53

Possibly related to 0003070 ?
(0033987)
PatrikLundell (reporter)
2015-12-17 02:20

(Hostile) dwarves could not be pitted etc. in 0.40.24, so this is likely a side effect of the multi species fortress upgrade. An analog change is that bodies of sapients now are hauled to the corpse stockpile rather than the refuse one (previously only dwarves, regardless of hostility, were hauled to the corpse stockpile).
The appropriate correction is probably to check sapients for hostility as well as sapience when determining if they can be pitted (etc) or not.
(0034033)
Anerty (reporter)
2015-12-18 16:53

Also affects Dingo Man/Woman, which is a pain because they tend to run into cage traps a lot in untamed wilds biomes.
(0034089)
FortunaDraken (reporter)
2015-12-20 19:46

Can confirm this happens with any kind of animal person, I caught dingo, armadillo and weasel people and none of them are available to be put in pastures, pits, chained or caged. Removing them from the cage simply makes a dwarf grab a spare cage, walk up to the built on and stuff them in a new one.

Only way to remove the critter is via lever linking.
(0034173)
nshapter (reporter)
2015-12-23 17:23

Confirming in 42.03. in my fort I can pit undead and Beak Dogs, but not Goblins or Trolls. Also cannot transfer Goblins and Trolls between cages. They do not appear on the list of creatures assignable to buildings or zones.

- Issue History
Date Modified Username Field Change
2015-12-07 19:28 BenLubar New Issue
2015-12-07 19:28 BenLubar Issue Monitored: BenLubar
2015-12-09 11:15 Manzeenan Note Added: 0033680
2015-12-09 12:46 maqertas Note Added: 0033682
2015-12-13 19:33 Atmaz Note Added: 0033862
2015-12-14 20:01 ShawnMark Note Added: 0033903
2015-12-14 20:01 ShawnMark Issue Monitored: ShawnMark
2015-12-15 13:53 Talvieno Note Added: 0033943
2015-12-16 15:34 Dwarfu Relationship added has duplicate 0009296
2015-12-16 15:34 Dwarfu Issue Monitored: Talvieno
2015-12-16 15:34 Dwarfu Issue Monitored: iamltr27
2015-12-17 02:20 PatrikLundell Note Added: 0033987
2015-12-17 13:15 mUody Issue Monitored: mUody
2015-12-18 16:53 Anerty Note Added: 0034033
2015-12-20 19:46 FortunaDraken Note Added: 0034089
2015-12-23 17:23 nshapter Note Added: 0034173
2015-12-29 00:51 Atmaz Issue Monitored: Atmaz
2016-01-18 15:48 Toady One Relationship added has duplicate 0009333
2016-01-18 15:48 Toady One Relationship added has duplicate 0009465
2016-01-18 15:49 Toady One Status new => resolved
2016-01-18 15:49 Toady One Fixed in Version => Next Version
2016-01-18 15:49 Toady One Resolution open => fixed
2016-01-18 15:49 Toady One Assigned To => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker